unit FMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ZylBurner, ComCtrls, ShellCtrls, FileCtrl;

type
  TForm1 = class(TForm)
    ZylBurner: TZylBurner;
    btnBurn: TButton;
    btnErase: TButton;
    ListBox: TListBox;
    DriveComboBox1: TDriveComboBox;
    DirectoryListBox: TDirectoryListBox;
    FileListBox: TFileListBox;
    btnAddFile: TButton;
    btnRemove: TButton;
    btnAddDirectory: TButton;
    procedure btnBurnClick(Sender: TObject);
    procedure btnEraseClick(Sender: TObject);
    procedure btnAddFileClick(Sender: TObject);
    procedure btnRemoveClick(Sender: TObject);
    procedure btnAddDirectoryClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnBurnClick(Sender: TObject);
var
  i: Integer;
begin
  ZylBurner.Files.Clear;
  for i := 0 to ListBox.Items.Count - 1 do
    ZylBurner.Files.Add(ListBox.Items[i]);
  ZylBurner.Burn;
end;

procedure TForm1.btnEraseClick(Sender: TObject);
begin
  ZylBurner.Erase();
end;

procedure TForm1.btnAddFileClick(Sender: TObject);
begin
  if FileListBox.FileName <> '' then
    ListBox.Items.Add(FileListBox.FileName);
end;

procedure TForm1.btnRemoveClick(Sender: TObject);
begin
  if ListBox.ItemIndex >= 0 then
    ListBox.Items.Delete(ListBox.ItemIndex);
end;

procedure TForm1.btnAddDirectoryClick(Sender: TObject);
begin
  if DirectoryListBox.Directory <> '' then
    ListBox.Items.Add(DirectoryListBox.Directory);
end;

end.
